- page_title "Sign in"

%div

  - if omniauth_enabled? && devise_mapping.omniauthable? && button_based_providers_enabled?
    %div.clearfix{ :style => "margin-bottom:20px;" }
      = render 'devise/shared/omniauth_box'
  - if form_based_providers.any?
    = render 'devise/shared/tabs_ldap'
  - else
    = render 'devise/shared/tabs_normal'
  .tab-content
    - if password_authentication_enabled_for_web? || ldap_enabled? || crowd_enabled?
      = render 'devise/shared/signin_box'

    -# Signup only makes sense if you can also sign-in
    - if allow_signup?
      = render 'devise/shared/signup_box'

  -# Show a message if none of the mechanisms above are enabled
  - if !password_authentication_enabled_for_web? && !ldap_enabled? && !(omniauth_enabled? && devise_mapping.omniauthable?)
    %div
      No authentication methods configured.
